<template>
  <!-- 首页面 -->
  <view class="container">
    <view class="item-image"> </view>
    <view class="item-title">
      <view class="item-title-line"></view>
      <view class="item-title-font">迎新指南</view>
    </view>
    <view class="item-list">
      <view class="item-list-one" @click="navigateToMap">
        <image src="../../static/images/map.png" class="img-btn"></image>
        <text class="list-txt">地图导览</text>
      </view>
      <view class="item-list-one" @click="navigateToCard">
        <image src="../../static/images/card.png" class="img-btn"></image>
        <text class="list-txt">临时卡领取</text>
      </view>
	  <view class="item-list-one" @click="navigateToVr">
	    <image src="../../static/images/vr.png" class="img-btn"></image>
	    <text class="list-txt">VR全景</text>
	  </view>
	  <!-- <view class="item-list-one" @click="navigateToPay">
	    <image src="../../static/images/pay.png" class="img-btn"></image>
	    <text class="list-txt">在线缴费</text>
	  </view> -->
    </view>
	<view class="item-list">
		<!-- <view class="item-list-one" @click="navigateToVr">
		  <image src="../../static/images/vr.png" class="img-btn"></image>
		  <text class="list-txt">VR全景</text>
		</view> -->
	</view>
  </view>
</template>

<script>
export default {
  data() {
    return {};
  },

  onLoad() {
    //预加载页面
    uni.preloadPage({ url: "../map/map" });
    uni.preloadPage({ url: "../weiChat/weiChat" });
  },
  upUnload() {},
  methods: {
    //跳转地图导览页面
    navigateToMap() {
      uni.navigateTo({
        url: "../map/map",
      });
    },
    //跳转临时卡页面
    navigateToCard() {
      uni.navigateTo({
        url: "../weiChat/weiChat",
      });
    },
    //跳转缴费页面
    navigateToPay() {
      let gwUrl = "https://chtech.ncjti.edu.cn/jiaofei/jiaofeiH5/#/";
      window.location.href = gwUrl;
    },
	//跳转VR
	navigateToVr() {
	  let gwUrl = "https://www.720pai.net/tour/dfecea34bfc84088";
	  window.location.href = gwUrl;
	},
  },
};
</script>

<style>
@import url("./css/index.css");
</style>
